Bug 243909 - os.path.realpath patch breaks existing functionality.
Summary: os.path.realpath patch breaks existing functionality.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: python   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: James Antill
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 246627
TreeView+ depends on / blocked
 
Reported: 2007-06-12 17:40 UTC by Stephen Warren
Modified: 2018-10-19 22:29 UTC (History)
6 users (show)

Fixed In Version: RHBA-2008-0689
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 19:36:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
New srpm with one line fix for symlihk loop typo (7.18 MB, application/octet-stream)
2007-07-19 15:46 UTC, James Antill
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0689 normal SHIPPED_LIVE python bug fix update 2008-07-23 15:55:11 UTC
Red Hat Bugzilla 173891 None None None Never

Description Stephen Warren 2007-06-12 17:40:48 UTC
Please see bug 173891. The patch to fix that bug breaks existing functionality
of os.path.realpath.

Bug is in python-2.3.4-14.4.

Since Bugzilla won't let me re-open that bug, I'm submitting a new one to ensure
that there's an open bug.

Comment 1 Stephen Warren 2007-06-12 17:41:48 UTC
FYI, comment #12 of the bug I mention above describes the new problem.


Comment 2 Tim Wegener 2007-06-26 05:47:24 UTC
See this bug report for another manifestation of this bug:
http://bugs.centos.org/view.php?id=2175


Comment 3 Stephen Warren 2007-06-26 05:57:13 UTC
Any traction on this bug? I would have expected a new release with the bogus
patch backed out to be released ASAP...


Comment 4 Dag Wieers 2007-07-19 14:23:05 UTC
This bug is affecting a few of my customers as well. I'm surprised that this has
not been escalated on the customer ticketing system. Any news yet ?

Comment 5 James Antill 2007-07-19 15:07:22 UTC
 I'm pretty sure the bug in the patch is the last few lines:

+        if not abspath(resolved):
+            dir = dirname(path)
+            path = normpath(join(dir, resolved))
+        else:
+            path = normpath(resolved)
+    return path

...this should be:

+        if not isabs(resolved):
+            dir = dirname(path)
+            path = normpath(join(dir, resolved))
+        else:
+            path = normpath(resolved)
+    return path

...this is a simple one line fix, I just need flags etc.


Comment 6 James Antill 2007-07-19 15:46:41 UTC
Created attachment 159590 [details]
New srpm with one line fix for symlihk loop typo

 Here's a new srpm with the one line fix, feel free to test it out. Note: This
isn't official (in CVS etc.), until this bug gets all the flags etc.

Comment 7 Stephen Warren 2007-07-24 16:28:16 UTC
Well, assuming that I actually built the binary RPM correctly (this being the
first time I've done that), this updated SRPM does indeed fix the problem...


Comment 8 David Hrbáč 2007-08-02 18:38:22 UTC
Well, we have also tested the attachment. Resolves the issue.

Comment 9 Stephen Warren 2007-08-02 18:39:40 UTC
In comment 6, James wrote:

> Note: This isn't official (in CVS etc.), until this bug gets all the flags etc.

I'm not familiar with flags; what does this mean, and who's responsible for
making the bug "get" them?


Comment 10 Stephen Warren 2007-09-17 22:51:53 UTC
Bump. Is this fix ever going to be released. Will I ever be able to update my
Python package?


Comment 11 RHEL Product and Program Management 2007-11-29 04:19:11 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 12 David Hrbáč 2007-12-17 08:41:24 UTC
Well, this is really stupid bug, which is being reported almost six months. I'm
asking why it has not been resolved within the latest python update -
https://rhn.redhat.com/errata/RHSA-2007-1076.html 

Comment 14 Stephen Warren 2008-02-09 03:38:11 UTC
Ping?


Comment 16 James Antill 2008-02-18 22:05:00 UTC
 Ok, my bad ... it wasn't fixed then. But it was included in the .src.rpm.
 It'll be in 4.7.


Comment 21 errata-xmlrpc 2008-07-24 19:36:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0689.html


Note You need to log in before you can comment on or make changes to this bug.